%define name	autoconf
%define version	2.69

%define docheck 0
%{?_without_check: %global docheck 0}

Name:		%{name}
Summary:	A GNU tool for automatically configuring source code
Version:	%{version}
Release:	%mkrel 3
License:	GPLv2+ with exceptions
Group:		Development/Other
URL:		http://www.gnu.org/software/autoconf/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot/
BuildArch:	noarch

Source:		ftp://ftp.gnu.org/gnu/autoconf/autoconf-%{version}.tar.xz
Source1:	autoconf-site-start.el
Patch0:		autoconf-2.62-fix-multiline-string.patch
Patch1:		autoconf-2.64-drop-failing-parallel-test.patch
Patch2:		autoconf-2.69-texinfo.patch
Patch3:		autoconf-2.69-perl-5.22.patch
Patch0101:	0101-tests-avoid-spurious-test-failure-with-libtool-243.patch
Patch0102:	0102-tests-port-to-recent-libtool-diagnostics.patch

Requires(post):	info-install
Requires(preun):	info-install
BuildRequires:	texinfo m4
BuildRequires:	help2man
Requires:	m4 mktemp
Obsoletes:	autoconf2.5
Provides:	autoconf2.5 = %{version}-%{release}
Conflicts:	autoconf2.1 < 2.13-26
# for tests
%if %docheck
BuildRequires:	flex
BuildRequires:	bison
%endif

%description
GNU's Autoconf is a tool for configuring source code and Makefiles.
Using Autoconf, programmers can create portable and configurable
packages, since the person building the package is allowed to 
specify various configuration options.

You should install Autoconf if you are developing software and you'd
like to use it to create shell scripts which will configure your 
source code packages. If you are installing Autoconf, you will also
need to install the GNU m4 package.

Note that the Autoconf package is not required for the end user who
may be configuring software with an Autoconf-generated script; 
Autoconf is only required for the generation of the scripts, not
their use.

%prep
%setup -q -n autoconf-%{version}
%apply_patches

%build
%configure2_5x --build=""
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# We don't want to include the standards.info stuff in the package,
# because it comes from binutils...
rm -f $RPM_BUILD_ROOT%{_infodir}/standards*

# emacs stuff
install -D -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.d/%{name}.el

# if emacs-bin was not here, *.el and *.elc files will be missing - install *.el files anyway
if [ ! -d $RPM_BUILD_ROOT/%{_datadir}/emacs/site-lisp ]; then
	mkdir -p $RPM_BUILD_ROOT/%{_datadir}/emacs/site-lisp
	install -m644 lib/emacs/*.el $RPM_BUILD_ROOT/%{_datadir}/emacs/site-lisp
fi

%if %docheck
%check
make check	# VERBOSE=1
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_install_info autoconf.info

%preun
%_remove_install_info autoconf.info

%files
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog* COPYING INSTALL NEWS README THANKS TODO
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/*.el
%{_bindir}/*
%{_datadir}/autoconf
%{_datadir}/emacs/site-lisp/*.el*
%{_infodir}/*
%{_mandir}/*/*


%changelog
* Mon Sep 25 2017 bb2 <bb> - 2.69-3pclos2017
- rebuild for updates
- new gcc
- new perl

* Wed Jun 04 2014 bb <bb> 2.69-2pclos2014
- rebuild for 2014

* Thu Sep 27 2012 Ken <lxgator at gmail.com> 2.69-1pclos2012
- 2.69



